Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.handler
Class ServerLoginHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.jboss.webservice.handler.ServerLoginHandler

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class ServerLoginHandler
extends org.apache.axis.handlers.BasicHandler

An Axis style handler that gets username/password from SOAP header elements. <soapenv:Header> <jbws:username actor="http://webservice.jboss.com/ws4ee/login" xmlns:jbws="http://webservice.jboss.com/ws4ee">kermit</jbws:username> <jbws:password actor="http://webservice.jboss.com/ws4ee/login" xmlns:jbws="http://webservice.jboss.com/ws4ee">thefrog</jbws:password> </soapenv:Header>

Since:
  27-April-2004
Author:
  Thomas.Diesler@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`ServerLoginHandler()`

Method Summary
`void` | `invoke(org.apache.axis.MessageContext msgContext)` Extract the username/password and set principal/credential in the SecurityAssociation.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerLoginHandler

    public ServerLoginHandler()

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Extract the username/password and set principal/credential in the SecurityAssociation.

  Throws:
    `org.apache.axis.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.